Loading...
Searching...
No Matches
pappso::FilterMorphoSum Class Reference

test purpose More...

`#include <filtermorpho.h>`

Inheritance diagram for pappso::FilterMorphoSum:

## Public Member Functions

| FilterMorphoSum (std::size_t half_window_size)
| FilterMorphoSum (const FilterMorphoSum &other)
virtual | ~FilterMorphoSum ()
FilterMorphoSum & | operator= (const FilterMorphoSum &other)
Public Member Functions inherited from pappso::FilterMorphoWindowBase
| FilterMorphoWindowBase (std::size_t half_window_size)
| FilterMorphoWindowBase (const FilterMorphoWindowBase &other)
virtual | ~FilterMorphoWindowBase ()
FilterMorphoWindowBase & | operator= (const FilterMorphoWindowBase &other)
virtual Trace & | filter (Trace &data_points) const override
virtual std::size_t | getHalfWindowSize () const
virtual QString | name () const override
virtual QString | toString () const override
Public Member Functions inherited from pappso::FilterNameInterface
virtual | ~FilterNameInterface ()
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Protected Member Functions

double | getWindowValue (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end) const override
Protected Member Functions inherited from pappso::FilterMorphoWindowBase
void | buildFilterFromString (const QString &strBuildParams) override
| build this filter using a string

## Additional Inherited Members

Protected Attributes inherited from pappso::FilterMorphoWindowBase
std::size_t | m_halfWindowSize = 0

## Detailed Description

test purpose

Definition at line 71 of file filtermorpho.h.

## Constructor & Destructor Documentation

## FilterMorphoSum() [1/2]

FilterMorphoSum::FilterMorphoSum | ( | std::size_t | half_window_size | ) |

Definition at line 131 of file filtermorpho.cpp.

: FilterMorphoWindowBase(half_window_size)
{
}
pappso::FilterMorphoWindowBase::FilterMorphoWindowBase
FilterMorphoWindowBase(std::size_t half_window_size)
Definition filtermorpho.cpp:36

References pappso::FilterMorphoWindowBase::FilterMorphoWindowBase().

Referenced by FilterMorphoSum(), and operator=().

## FilterMorphoSum() [2/2]

FilterMorphoSum::FilterMorphoSum | ( | const FilterMorphoSum & | other | ) |

Definition at line 135 of file filtermorpho.cpp.

: FilterMorphoWindowBase(other.m_halfWindowSize)
{
}
pappso::FilterMorphoWindowBase::m_halfWindowSize
std::size_t m_halfWindowSize
Definition filtermorpho.h:66

References FilterMorphoSum(), pappso::FilterMorphoWindowBase::FilterMorphoWindowBase(), and pappso::FilterMorphoWindowBase::m_halfWindowSize.

## ~FilterMorphoSum()

virtual pappso::FilterMorphoSum::~FilterMorphoSum | ( |  | ) |

inline virtual

Definition at line 77 of file filtermorpho.h.

{};

## Member Function Documentation

## getWindowValue()

double FilterMorphoSum::getWindowValue | ( | std::vector< DataPoint >::const_iterator | begin,
|  | std::vector< DataPoint >::const_iterator | end ) const

override protected virtual

Implements pappso::FilterMorphoWindowBase.

Definition at line 149 of file filtermorpho.cpp.

{
qDebug();
return sumYTrace(begin, end, 0);
}
pappso::sumYTrace
double sumYTrace(std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end, double init)
calculate the sum of y value of a trace
Definition trace.cpp:226

References pappso::sumYTrace().

## operator=()

FilterMorphoSum & FilterMorphoSum::operator= | ( | const FilterMorphoSum & | other | ) |

Definition at line 141 of file filtermorpho.cpp.

{
m_halfWindowSize = other.m_halfWindowSize;
return *this;
}

References FilterMorphoSum(), and pappso::FilterMorphoWindowBase::m_halfWindowSize.

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/filters/filtermorpho.h
- pappsomspp/core/processing/filters/filtermorpho.cpp